#
#  Bug #10647, also fixed in devel Sorcery
#
cd  $SOURCE_DIRECTORY.bld  &&

# create a symlink to version 5 runtime in regular prefix $INSTALL_ROOT/usr
## @param runtime library name relative to prefix
function link_runtime ()
{
  local TARGET_LINK="$INSTALL_ROOT/opt/gcc33/$1" &&
  if [[ -f "$TARGET_LINK" ]]; then
    local TARGET=$(readlink -f "$TARGET_LINK") &&
    message "${MESSAGE_COLOR}Linking $1 to $TARGET...${DEFAULT_COLOR}" &&
    [[ -f "$TARGET" ]] &&
    ln -fns "${TARGET##$INSTALL_ROOT}" "$INSTALL_ROOT/usr/$1"
  fi
}

make prefix=${INSTALL_ROOT}/opt/gcc33 install-no-fixedincludes &&

link_runtime lib/libstdc++.so.5 &&
link_runtime lib64/libstdc++.so.5
